import Vue from 'vue'
import Vuex from 'vuex'
import user from './model/user'
Vue.use(Vuex)
const store = new Vuex.Store({
	state: {
		baseURL: 'https://shicai.liuniu946.com', //请求线上地址配置
		// baseURL:'https://shicaitest.liuniu946.com',//请求测试地址配置
		urlFile: '/index', //项目部署所在文件夹
		loginInterceptor: false, //是否打开强制登录
		// 是否显示page页面
		addressPageShow:false,
		addressData:{
			city: "",
			detail: "",
			district: "",
			id: '',
			is_default: '',
			phone: "",
			province: "",
			real_name: ""
		},
		token:'',
		GetInfo:'',
		// #ifdef H5 
		setWeiChatInfo:'',
		weichatInfo: {}, //保存微信注册信息
		weichatObj: '', //微信对象
		weichatBrowser: '' ,//当前是否为微信内置浏览器
		// #endif
		// shareData:'',//分享信息
	},
	
	mutations: {
		// 修改地址是否可以查看
		upAddressPageShow(state){
			state.addressPageShow = true;
		},
		// 保存当前选中的地址
		setAddressData(state, provider) {
			state.addressData = provider;
			uni.setStorage({ 
				//保存用户选中的地址信息
				key: 'addressData',
				data: provider
			})
		},
		//保存分享微信信息
		setGetInfo(state, provider) {
			state.GetInfo = provider;
			uni.setStorage({
				//保存分享微信信息
				key: 'GetInfo',
				data: provider
			})
		},
		// #ifdef H5
		//保存微信信息
		setWeiChatInfo(state, provider) {
			state.weichatInfo = provider;
		},
		//保存微信对象
		setWeiChatObj(state, provider) {
			state.weichatObj = provider;
		}
		// #endif
	},
	actions: {},
	modules:{
		user
	},
})

export default store
